#!/usr/bin/env ansible-playbook
---
- name: Apply the vault_secrets_operator role
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  roles:
    - ska_collections.k8s.vault_secrets_operator
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - vso
